PeerAddressChangeNotification (Java SE 25 & JDK 25)
Description: declaration: module: jdk.sctp, package: com.sun.nio.sctp, class: PeerAddressChangeNotification
Keywords: com.sun.nio.sctp.PeerAddressChangeNotification class

# Class PeerAddressChangeNotification

java.lang.Object
com.sun.nio.sctp.PeerAddressChangeNotification

All Implemented Interfaces:
  `Notification`

public abstract class PeerAddressChangeNotification extends Object implements Notification
Notification emitted when a destination address on a multi-homed peer encounters a change.

Since:
  1.7

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `PeerAddressChangeNotification.AddressChangeEvent`
  Defines the type of address change event that occurred to the destination address on a multi-homed peer when it encounters a change of interface details.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PeerAddressChangeNotification()`
  Initializes a new instance of this class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract SocketAddress`
  `address()`
  Returns the peer address.
  `abstract Association`
  `association()`
  Returns the association that this notification is applicable to.
  `abstract PeerAddressChangeNotification.AddressChangeEvent`
  `event()`
  Returns the type of change event.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PeerAddressChangeNotification

    protected PeerAddressChangeNotification()
    Initializes a new instance of this class.

- ## Method Details

  - ### address

    public abstract SocketAddress address()
    Returns the peer address.
    Returns:
      The peer address

  - ### association

    public abstract Association association()
    Returns the association that this notification is applicable to.
    Specified by:
      `association` in interface `Notification`
    Returns:
      The association whose peer address changed

  - ### event

    public abstract PeerAddressChangeNotification.AddressChangeEvent event()
    Returns the type of change event.
    Returns:
      The event